Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.text.java
Interface IProblemLocation

public interface IProblemLocation

Problem information for quick fix and quick assist processors.

Note: this interface is not intended to be implemented.

Since:
  3.0

Method Summary
`ASTNode` | `getCoveredNode(CompilationUnit astRoot)` Convenience method to evaluate the AST node covered by this problem.
`ASTNode` | `getCoveringNode(CompilationUnit astRoot)` Convenience method to evaluate the AST node covering this problem.
`int` | `getLength()` Returns the length of the problem.
`int` | `getOffset()` Returns the start offset of the problem.
`String[]` | `getProblemArguments()` Returns the original arguments recorded into the problem.
`int` | `getProblemId()` Returns the id of problem.
`boolean` | `isError()` Returns if the problem has error severity.

Method Detail

### getOffset

    public int getOffset()

  Returns the start offset of the problem.

  Returns:
    the start offset of the problem

### getLength

    public int getLength()

  Returns the length of the problem.

  Returns:
    the length of the problem

### getProblemId

    public int getProblemId()

  Returns the id of problem. See `IProblem` for id definitions.

  Returns:
    The id of the problem.

### getProblemArguments

    public String[] getProblemArguments()

  Returns the original arguments recorded into the problem.

  Returns:
    String[] Returns the problem arguments.

### isError

    public boolean isError()

  Returns if the problem has error severity.

  Returns:
    `true` if the problem has error severity

### getCoveringNode

    public ASTNode getCoveringNode(CompilationUnit astRoot)

  Convenience method to evaluate the AST node covering this problem.

  Parameters:
    `astRoot` - The root node of the current AST
  Returns:
    Returns the node that covers the location of the problem

### getCoveredNode

    public ASTNode getCoveredNode(CompilationUnit astRoot)

  Convenience method to evaluate the AST node covered by this problem.

  Parameters:
    `astRoot` - The root node of the current AST
  Returns:
    Returns the node that is covered by the location of the problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.